#### D.14.7.1 boolean_std

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  boolean_std(Is); Is ideal

Return:
  Singular ideal of the boolean groebner basis of Is

Example:

    LIB "polybori.lib";
    ring r0=2,x(1..4),lp;
    poly f1=x(1)^2+2*x(2)*(x(3))-x(4)^3;
    poly f2=x(1)^2-x(3)*x(1);
    poly f3=x(2)+5-2*x(1);
    poly f4=x(1)*x(2)-x(3);
    ideal I=f1,f2,f3,f4;
    boolean_std(I);        // implicitly add x(i)^2-x(i)
    bideal bI=I;           // alternative syntax
    bideal re = std(bI);  // Continue PolyBoRi computations
    std(re[1..2]);
    ring r1=0,x,Dp;
    poly f1=x3+2*x+1;
    poly f2=x10-x5+2x;
    poly f3=19;
    ideal I=f1,f2,f3;
    boolean_std(I);
    ring r2=32003,(x,y,z),Dp;
    poly f1=xz+y+20*x^2*y;
    poly f2=32002*xy+xz2+y;
    ideal I=f1,f2;
    boolean_std(I);
    ring r2=32003,(x,y,z),Dp;
    poly f1=xyz+20*x^2*y-3*xz+15;
    poly f2=32002*xy+z2;
    poly f3=19*x5y;
    ideal I=f1,f2,f3;
    boolean_std(I);

See also: boolean_ideal; boolean_poly; boolean_poly_ring; from_boolean_ideal; from_boolean_poly.

User manual for Singular version 4.4.1, 2025, generated by texi2html.